﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Bins;
using Sqls;

namespace WindowsFormsApplication1
{
    public partial class Form8 : Form
    {
        public Form8()
        {
            InitializeComponent();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Form8_Load(object sender, EventArgs e)
        {
            dataGridView1.DataSource = Price.Select();

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == ""|| comboBox1.SelectedItem==null || comboBox2.SelectedItem==null)
                MessageBox.Show("جاهاي خالي را پر كنيد");
            else
            {
                string k = comboBox1.SelectedItem.ToString();
                string m = comboBox2.SelectedItem.ToString();
                bool a = false;
                a = Price.Insert(k,m,textBox2.Text,textBox1.Text);
                if (a)
                    MessageBox.Show("عمليات با موفقيت انجام شد");
                comboBox1.SelectedItem = null;
                comboBox2.SelectedItem = null;
                textBox1.Text = "";
                textBox2.Text = "";
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == "" || comboBox1.SelectedItem == null || comboBox2.SelectedItem == null)
                MessageBox.Show("جاهاي خالي را پر كنيد");
            else
            {
                string k = comboBox1.SelectedItem.ToString();
                string m = comboBox2.SelectedItem.ToString();
                bool a = false;
                a = Price.Update(k, m, textBox2.Text, textBox1.Text);
                if (a)
                    MessageBox.Show("عمليات با موفقيت انجام شد");
                comboBox1.SelectedItem = null;
                comboBox2.SelectedItem = null;
                textBox1.Text = "";
                textBox2.Text = "";
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            groupBox2.Enabled = false;
        }

        private void button6_Click(object sender, EventArgs e)
        {
            groupBox2.Enabled = false;
        }

        private void Form8_Activated(object sender, EventArgs e)
        {
            comboBox2.Items.Clear();
            IList<ServiceInfo> list =Service.Select();
            foreach (ServiceInfo service in list)
            {
                comboBox2.Items.Add(service.Servicename);
            }
            comboBox1.Items.Clear();
            IList<InsuranceInfo> list1 = Insurance.Select();
            foreach (InsuranceInfo insurance in list1)
            {
                comboBox1.Items.Add(insurance.Insurancename);
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (comboBox1.SelectedItem == null || comboBox2.SelectedItem == null)
                MessageBox.Show("جاهاي خالي را پر كنيد");
            else
            {
                string k = comboBox1.SelectedItem.ToString();
                string m = comboBox2.SelectedItem.ToString();
                bool a = false;
                a = Price.Delete(k, m);
                if (a)
                    MessageBox.Show("عمليات با موفقيت انجام شد");
                comboBox1.SelectedItem = null;
                comboBox2.SelectedItem = null;
            }
        }

    }
}
