﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sqls;
using Bins;

namespace WindowsFormsApplication1
{
    public partial class Form13 : Form
    {
        public Form13()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Form13_Load(object sender, EventArgs e)
        {
            textBox5.Text = TodayDate.GetToday();

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == "" || textBox3.Text == "" || textBox4.Text == "" || textBox5.Text == "" || comboBox1.SelectedItem ==null)
                MessageBox.Show("جاهاي خالي را پر كنيد");
            else
            {
                bool a = false;
                a = Test.Insert(comboBox1.SelectedItem.ToString(), textBox1.Text, textBox5.Text, textBox2.Text, textBox3.Text, textBox4.Text);
                if (a)
                    MessageBox.Show("عمليات با موفقيت انجام شد");
                else
                    MessageBox.Show("ازمایشات برای بیمار ثبت شده است");
                textBox1.Text = "";
                textBox2.Text = "";
                textBox3.Text = "";
                textBox4.Text = "";
                comboBox1.SelectedItem = null;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            dataGridView1.DataSource =Test.Select();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (comboBox1.SelectedItem ==null)
                MessageBox.Show("فيلد شماره ي پرونده را پر كنيد");
            else
            dataGridView1.DataSource =Test.Search(comboBox1.SelectedItem.ToString());
        }

        private void button5_Click(object sender, EventArgs e)
        {
     
            if (comboBox1.SelectedItem == null || textBox4.Text == "")
                MessageBox.Show("فيلدهاي ستاره دار را جهت ويرايش پر كنيد");
            else
            {
                bool a = false;
                a = Test.Update(textBox4.Text,comboBox1.SelectedItem.ToString());
                if (a)
                    MessageBox.Show("عمليات با موفقيت انجام شد");
                else 
                    MessageBox.Show("بیمار معاینه نشده است.");
                textBox4.Text = "";
            }
        
        }

        private void button6_Click(object sender, EventArgs e)
        {
            bool a = false;
            if (comboBox1.SelectedItem ==null)
            {
                MessageBox.Show("لطفا فيلد شماره ي پرونده را پر کنید");
            }
            else
            {
                a = Test.Delete(comboBox1.SelectedItem.ToString());
                if (a)
                {
                    MessageBox.Show("عملیات با موفقیت انجام شد");
                }
                else
                    MessageBox.Show(" اطلاعاتی برای حذف وجود ندارد.");
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {
            Form a = new Form17();
            a.Visible = true;
        }

        private void Form13_Activated(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            IList<PatientInfo> list1 = Patient.Select();
            foreach (PatientInfo id in list1)
            {
                comboBox1.Items.Add(id.Dossierid);
            }
        }
    }
}
